#/*##########################################################################
#
# The fisx library for X-Ray Fluorescence
#
# Copyright (c) 2014-2020 European Synchrotron Radiation Facility
#
# This file is part of the fisx X-ray developed by V.A. Sole
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
#############################################################################*/
from ._fisx import PySimpleIni as SimpleIni
from ._fisx import PySimpleSpecfile as SimpleSpecfile
from ._fisx import PyEPDL97 as EPDL97
from ._fisx import PyShell as Shell
from ._fisx import PyBeam as Beam
from ._fisx import PyElement as Element
from ._fisx import PyElements as Elements
from ._fisx import PyLayer as Layer
from ._fisx import PyDetector as Detector
from ._fisx import PyXRF as XRF
from ._fisx import PyMath as Math
from ._fisx import PyMaterial as Material
from ._fisx import PyTransmissionTable as TransmissionTable
from ._fisx import fisxVersion

__version__ = fisxVersion()

def version():
    return __version__
